## cross-toolchain-base-ports 22

=== debian/changelog ===
cross-toolchain-base-ports (22) unstable; urgency=medium

  * Build using gcc 7.3.0-20.
  * Build using binutils 2.30-21.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2018 19:31:16 +0200
