=== debian/control ===
Source: cross-toolchain-base-ports
Section: devel
Priority: optional
Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
Vcs-Browser: https://code.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
Vcs-Git: https://git.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
Standards-Version: 4.1.4
Build-Depends: binutils-multiarch,
  dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
  binutils-source (>= 2.30-21~),
  glibc-source (>= 2.27-0~),
  gcc-7-source (>= 7.3.0-20~),
  linux-source (>= 4.16),
  autoconf (>= 2.64), autoconf2.64, autogen,
  automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
  dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
  dwz, gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
  libisl-dev, libmpc-dev, libelf-dev,
  libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
  make (>= 3.81), kmod | module-init-tools, symlinks,
  patchutils, procps, quilt, rdfind, coreutils (>= 2.26) | realpath (>= 1.9.12),
  sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
  asciidoc, texinfo, cpio, python3,
  libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
  libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-mips64-linux-gnuabi64, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-powerpc-linux-gnu, binutils-powerpc-linux-gnuspe, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-powerpc-cross, linux-libc-dev-powerpc-cross, libc6-powerpcspe-cross, linux-libc-dev-powerpcspe-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]

Package: linux-libc-dev-alpha-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-alpha-cross, linux-libc-dev-alpha-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-amd64-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-amd64-cross, linux-libc-dev-amd64-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-hppa-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-hppa-cross, linux-libc-dev-hppa-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-m68k-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-m68k-cross, linux-libc-dev-m68k-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mips64-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mips64-cross, linux-libc-dev-mips64-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mips64r6-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mips64r6-cross, linux-libc-dev-mips64r6-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mips64r6el-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mips64r6el-cross, linux-libc-dev-mips64r6el-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsn32-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsn32-cross, linux-libc-dev-mipsn32-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsn32el-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsn32el-cross, linux-libc-dev-mipsn32el-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsn32r6-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsn32r6-cross, linux-libc-dev-mipsn32r6-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsn32r6el-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsr6-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsr6-cross, linux-libc-dev-mipsr6-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-mipsr6el-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-mipsr6el-cross, linux-libc-dev-mipsr6el-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-powerpc-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-powerpc-cross, linux-libc-dev-powerpc-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-powerpcspe-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-powerpcspe-cross, linux-libc-dev-powerpcspe-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-ppc64-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-ppc64-cross, linux-libc-dev-ppc64-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: linux-libc-dev-riscv64-cross
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Provides: linux-kernel-headers-riscv64-cross, linux-libc-dev-riscv64-dcv1
Built-Using: ${bu:linux}
Description: Linux Kernel Headers for development (for cross-compiling)
