## cross-toolchain-base-ports 22ubuntu0.3

=== debian/changelog ===
cross-toolchain-base-ports (22ubuntu0.3) bionic-proposed; urgency=medium

  * SRU: LP: #1769657. Rebuild using updated toolchain packages.
  * Don't go beyond the first version available in cosmic.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Sep 2018 15:04:07 +0200

cross-toolchain-base-ports (22ubuntu1) cosmic; urgency=medium

  * Build using gcc 7.3.0-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 May 2018 19:34:36 +0200
