=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   binutils-source (>= 2.30-21~),
   glibc-source (>= 2.27-0~),
   gcc-7-source (>= 7.3.0-20~),
-  linux-source (>= 4.16),
+  linux-source (>= 4.15),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -25,8 +25,8 @@
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-mips64-linux-gnuabi64, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-powerpc-linux-gnu, binutils-powerpc-linux-gnuspe, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
-  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-powerpc-cross, linux-libc-dev-powerpc-cross, libc6-powerpcspe-cross, linux-libc-dev-powerpcspe-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
+  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-mips64-linux-gnuabi64, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-mips-linux-gnu, binutils-mipsel-linux-gnu, binutils-mips64el-linux-gnuabi64, binutils-powerpc-linux-gnuspe, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
+  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, libc6-powerpcspe-cross, linux-libc-dev-powerpcspe-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-alpha-cross
@@ -77,6 +77,18 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
+Package: linux-libc-dev-mips-cross
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: linux-kernel-headers-mips-cross, linux-libc-dev-mips-dcv1
+Built-Using: ${bu:linux}
+Description: Linux Kernel Headers for development (for cross-compiling)
+ This package provides headers from the Linux kernel.  These headers
+ are used by the installed headers for GNU glibc and other system
+ libraries. They are NOT meant to be used to build third-party modules for
+ your kernel. Use linux-headers-* packages for that.
+
 Package: linux-libc-dev-mips64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -89,6 +101,18 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
+Package: linux-libc-dev-mips64el-cross
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: linux-kernel-headers-mips64el-cross, linux-libc-dev-mips64el-dcv1
+Built-Using: ${bu:linux}
+Description: Linux Kernel Headers for development (for cross-compiling)
+ This package provides headers from the Linux kernel.  These headers
+ are used by the installed headers for GNU glibc and other system
+ libraries. They are NOT meant to be used to build third-party modules for
+ your kernel. Use linux-headers-* packages for that.
+
 Package: linux-libc-dev-mips64r6-cross
 Architecture: all
 Multi-Arch: foreign
@@ -113,6 +137,18 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
+Package: linux-libc-dev-mipsel-cross
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: linux-kernel-headers-mipsel-cross, linux-libc-dev-mipsel-dcv1
+Built-Using: ${bu:linux}
+Description: Linux Kernel Headers for development (for cross-compiling)
+ This package provides headers from the Linux kernel.  These headers
+ are used by the installed headers for GNU glibc and other system
+ libraries. They are NOT meant to be used to build third-party modules for
+ your kernel. Use linux-headers-* packages for that.
+
 Package: linux-libc-dev-mipsn32-cross
 Architecture: all
 Multi-Arch: foreign
@@ -185,46 +221,8 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-powerpc-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-powerpc-cross, linux-libc-dev-powerpc-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-powerpcspe-cross
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Provides: linux-kernel-headers-powerpcspe-cross, linux-libc-dev-powerpcspe-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
-Package: linux-libc-dev-ppc64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-ppc64-cross, linux-libc-dev-ppc64-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
-Package: linux-libc-dev-riscv64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-riscv64-cross, linux-libc-dev-riscv64-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
