=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), cross-toolchain-base),ppc64el,ppc64))
 CROSS_EXT	:= cross$(DEB_VER_ACT)
+# SRU update for bionic. Don't go beyond the first version available in cosmic
+CROSS_EXT	:= cross1.$(DEB_VER_ACT)
 
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -58,7 +60,7 @@
 endif
 
 MIN_VER_GLIBC		:= 2.27-0~
-MIN_VER_LINUX		:= 4.16
+MIN_VER_LINUX		:= 4.15
 MIN_VER_GCC		:= 7.3.0-20~
 MIN_VER_BINUTILS	:= 2.30-21~
 
@@ -172,4 +174,3 @@
 	gunzip debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.gz
 	mv debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian \
 	  debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.linux
-	gzip -cn9 debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.linux \
