## cross-toolchain-base-ports 23ubuntu2

=== debian/changelog ===
cross-toolchain-base-ports (23ubuntu2) cosmic; urgency=medium

  * Build using gcc 8.2.0-6ubuntu1.
  * Build using binutils 2.31.1-5ubuntu1.
  * Build using glibc 2.28-0ubuntu1.
  * Build using linux 4.18.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Sep 2018 18:29:46 +0200

cross-toolchain-base-ports (23) unstable; urgency=medium

  * Build using linux 4.18.
  * Build using gcc 7.3.0-27.
  * Build using binutils 2.31.1.
  * Simplify the kernel headers build.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2018 18:22:21 +0200
