=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://code.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
 Vcs-Git: https://git.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.30-21~),
-  glibc-source (>= 2.27-0~),
-  gcc-7-source (>= 7.3.0-20~),
-  linux-source (>= 4.15),
+  glibc-source (>= 2.28-0~),
+  gcc-8-source (>= 8.2.0-1~),
+  linux-source (>= 4.16),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -21,7 +21,7 @@
   make (>= 3.81), kmod | module-init-tools, symlinks,
   patchutils, procps, quilt, rdfind, coreutils (>= 2.26) | realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
-  asciidoc, texinfo, cpio, python3,
+  asciidoc, texinfo, cpio, python3, bc,
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
