## cross-toolchain-base-ports 24

=== debian/changelog ===
cross-toolchain-base-ports (24) unstable; urgency=medium

  * Drop the riscv64 patch.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Sep 2018 10:08:51 +0200
