=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')
 DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), cross-toolchain-base),ppc64el,ppc64))
 CROSS_EXT	:= cross$(DEB_VER_ACT)
-# SRU update for bionic. Don't go beyond the first version available in cosmic
-CROSS_EXT	:= cross1.$(DEB_VER_ACT)
 
 HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -60,7 +58,7 @@
 endif
 
 MIN_VER_GLIBC		:= 2.27-0~
-MIN_VER_LINUX		:= 4.15
+MIN_VER_LINUX		:= 4.16
 MIN_VER_GCC		:= 7.3.0-20~
 MIN_VER_BINUTILS	:= 2.30-21~
 
@@ -70,7 +68,12 @@
 else
   VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
-VER_GCC_BASE   := 7
+VER_GCC_BASE	:= 7
+ifeq ($(vendor),Ubuntu)
+  MIN_VER_GLIBC	:= 2.28-0~
+  VER_GCC_BASE	:= 8
+  MIN_VER_GCC	:= 8.2.0-1~
+endif
 
 VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
 DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
@@ -132,45 +135,62 @@
 
 $(stamp)init-linux:
 	@echo START $@
+	rm -rf linux-source-[45].*
 	$(call unpack_tarball, $(firstword $(wildcard /usr/src/linux-source-$(VER_LINUX).tar.* /usr/src/linux-source-$(VER_LINUX)/linux-source-$(VER_LINUX).tar.*)))
 	touch $@
 
 $(stamp)build-linux.%: $(stamp)init-linux
 	@echo START $@
-	cp debian/builddeb linux-source-$(VER_LINUX)/scripts/package/
-	sed -i '/$$(MAKE)/d' linux-source-$(VER_LINUX)/scripts/package/Makefile
-	set -e; \
-	export DEBMAIL="`dpkg-parsechangelog |grep ^Maintainer | sed -e 's/^Maintainer: //g'`"; \
-	export DEBEMAIL="`echo $$DEBMAIL | sed -e 's/.*<\(.*\)>/\1/g'`"; \
-	export DEBFULLNAME="`echo $$DEBMAIL | sed -e 's/\(.*\)<.*>/\1/g'`"; \
-	export ARCH=${KERNEL_ARCH} ;\
-	export KBUILD_DEBARCH=${CROSS_ARCH} ;\
-	export KDEB_PKGVERSION=${DEB_VER_LINUX} ;\
-	cd linux-source-${VER_LINUX} ;\
-	make oldnoconfig ;\
-	make deb-pkg
-	rm -rf tmp
-	install -d tmp
-	dpkg-deb -R linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb debian/tmp.${CROSS_ARCH}
-	dpkg-deb -R linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb tmp
-	cd tmp/usr/include ;\
-	rm -rf drm scsi ;\
-	rm -f `find . -name .install` ;\
-	rm -f `find . -name ..install.cmd`
-	mkdir tmp/usr/${CROSS_GNU_TYPE}
-	mv tmp/usr/include/ tmp/usr/${CROSS_GNU_TYPE}/include/
-	rm tmp/DEBIAN/md5sums
-	install -d -m 755 tmp/usr/share/lintian/overrides
-	echo "linux-libc-dev-${CROSS_ARCH}-cross binary: non-standard-dir-in-usr" \
-	  >> tmp/usr/share/lintian/overrides/linux-libc-dev-${CROSS_ARCH}-cross
-	fakeroot dpkg-deb -b tmp linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb
-	rm -rf tmp
-	install -d tmp
+	$(MAKE) -C linux-source-$(VER_LINUX) headers_install \
+	  ARCH=$(KERNEL_ARCH) \
+	  INSTALL_HDR_PATH=$(CURDIR)/debian/tmp.$(CROSS_ARCH)/usr
 	touch $@
+
+p_lld = linux-libc-dev-$(CROSS_ARCH)-cross
 
 $(stamp)install-linux.%: $(stamp)build-linux.% $(stamp)init-dirs
 	@echo START $@
-	dpkg-deb -x linux-libc-dev-${CROSS_ARCH}-cross_${DEB_VER_LINUX}_all.deb debian/linux-libc-dev-${CROSS_ARCH}-cross
-	gunzip debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.gz
-	mv debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian \
-	  debian/linux-libc-dev-${CROSS_ARCH}-cross/usr/share/doc/linux-libc-dev-${CROSS_ARCH}-cross/changelog.Debian.linux
+	rm -rf debian/$(p_lld)
+	dh_installdirs -p$(p_lld) \
+	  usr/share/doc/$(p_lld) \
+	  usr/share/lintian/overrides \
+	  usr/$(CROSS_GNU_TYPE)
+	cp -a debian/tmp.$(CROSS_ARCH)/usr/include \
+	  debian/$(p_lld)/usr/$(CROSS_GNU_TYPE)/.
+	rm -rf debian/$(p_lld)/usr/$(CROSS_GNU_TYPE)/{drm,scsi} ;\
+	rm -f `find debian/$(p_lld)/usr/$(CROSS_GNU_TYPE) -name .install`
+	rm -f `find debian/$(p_lld)/usr/$(CROSS_GNU_TYPE) -name ..install.cmd`
+
+	echo "$(p_lld) binary: non-standard-dir-in-usr" \
+	  >> debian/$(p_lld)/usr/share/lintian/overrides/linux-libc-dev-${CROSS_ARCH}-cross
+
+	cp -p /usr/share/doc/linux-source-$(VER_LINUX)/copyright \
+	  debian/$(p_lld)/usr/share/doc/$(p_lld)/.
+	zcat /usr/share/doc/linux-source-$(VER_LINUX)/changelog.Debian.gz \
+	  > debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian.linux
+	gzip -9n debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian.linux
+	cp debian/changelog debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian
+	gzip -9n debian/$(p_lld)/usr/share/doc/$(p_lld)/changelog.Debian
+
+	touch $@
+
+define init_binutils
+	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
+	set -e; \
+	cd binutils-${PKG_VER_BINUTILS} ;\
+	cp -a ${BINUTILS_DIR}/debian/ . ;\
+	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
+	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt --quiltrc /dev/null  push -a; \
+	fi; \
+	rm -rf .pc
+endef
+
+$(stamp)init-binutils:
+	@echo START $@
+	$(call init_binutils)
+	touch $@
+
+$(stamp)build-binutils: $(stamp)init-binutils
+	@echo START $@
+	set -e ;\
+	cd binutils-${PKG_VER_BINUTILS} ;\
